Bug 58715 - Authentication module smb_auth fails to authenticate users
Authentication module smb_auth fails to authenticate users
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-23 13:02 EST by David Burley
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 02:17:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Burley 2002-01-23 13:02:31 EST
Description of problem:
The squid authentication module fails to authenticate users against the NT 
Domain controller. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Edit squid.conf appropriately for user authentication and restart squid
2. run the following to attempt authentication:
/usr/local/bin/smb_auth -W DOMAIN -d
USERNAME PASSWORD

OR
Just try to get authenticated by setting up a computer to go through the proxy 
and "surf" to a URL. It will prompt for username and password and fail every 
time user tries to authenticate.
	

Actual Results:  An error message is displayed saying that it can't find 
nmblookup.

Expected Results:  If the USERNAME and PASSWORD are valid it should output the 
end result of "OK"

Additional info:

Problem is that the file /usr/lib/squid/smb_auth.sh grabs the wrong value for 
$SAMBAPREFIX. There are 2 possible solutions...

1. compile the package with appropriate command-line options such that the 
$SAMBAPREFIX variable will be set properly.

2. add the following line near the top of /usr/lib/squid/smb_auth.sh:
export SAMBAPREFIX="/usr"

Solution #2 assumes user is running the version of Squid and Samba that RH7.2 
comes with. Not tested with any other version of Squid and/or Samba.
Comment 1 Bill Nottingham 2002-02-18 14:15:16 EST
Fixed in 2.4.stable3-1

Note You need to log in before you can comment on or make changes to this bug.